After update to newest version = Black screen



  • I got Black Screen after update, I have also tried to reinstall with the same result - what to do ?

    Best regards Michael


  • Module Developer

    @ironman_DK

    Assuming you’re using a Pi2 or a Pi3, and that you’ve properly prepared your Pi, and that you’ve installed Raspbian Jessie (Stretch has been problematic) then this will take you less than 30 minutes, with a 99% success rate. Ok, I made up the success rate, but it’s pretty damn good! :-)

    https://forum.magicmirror.builders/topic/5274/how-to-manually-install-mm-on-your-pi-for-absolute-beginners



  • @Mykle1 I have followed you guide, but I still have a Black screen ?

    Best Regards
    Michael



  • @ironman_DK said in After update to newest version = Black screen:

    @Mykle1 I have followed you guide, but I still have a Black screen ?

    Best Regards
    Michael

    This is from automatic install >

    pi@raspberrypi:~ $ bash -c "$(curl -sL https://raw.githubusercontent.com/MichMich/MagicMirror/master/installers/raspberry.sh)"
    
    $$\      $$\                     $$\           $$\      $$\ $$\                                          $$$$$$\
    $$$\    $$$ |                    \__|          $$$\    $$$ |\__|                                        $$  __$$\
    $$$$\  $$$$ | $$$$$$\   $$$$$$\  $$\  $$$$$$$\ $$$$\  $$$$ |$$\  $$$$$$\   $$$$$$\   $$$$$$\   $$$$$$\  \__/  $$ |
    $$\$$\$$ $$ | \____$$\ $$  __$$\ $$ |$$  _____|$$\$$\$$ $$ |$$ |$$  __$$\ $$  __$$\ $$  __$$\ $$  __$$\  $$$$$$  |
    $$ \$$$  $$ | $$$$$$$ |$$ /  $$ |$$ |$$ /      $$ \$$$  $$ |$$ |$$ |  \__|$$ |  \__|$$ /  $$ |$$ |  \__|$$  ____/
    $$ |\$  /$$ |$$  __$$ |$$ |  $$ |$$ |$$ |      $$ |\$  /$$ |$$ |$$ |      $$ |      $$ |  $$ |$$ |      $$ |
    $$ | \_/ $$ |\$$$$$$$ |\$$$$$$$ |$$ |\$$$$$$$\ $$ | \_/ $$ |$$ |$$ |      $$ |      \$$$$$$  |$$ |      $$$$$$$$\
    \__|     \__| \_______| \____$$ |\__| \_______|\__|     \__|\__|\__|      \__|       \______/ \__|      \________|
                           $$\   $$ |
                           \$$$$$$  |
                            \______/
    
    Updating packages ...
    Henter:1 http://mirrordirector.raspbian.org jessie InRelease [14,9 kB]
    Henter:2 https://deb.nodesource.com jessie InRelease [4.631 B]         
    Henter:3 http://archive.raspberrypi.org jessie InRelease [22,9 kB]             
    Henter:4 http://mirrordirector.raspbian.org jessie/main armhf Packages [9.536 kB]
    Henter:5 https://deb.nodesource.com jessie/main Sources [20 B]                 
    Henter:6 https://deb.nodesource.com jessie/main armhf Packages [1.003 B]       
    Havde http://archive.raspberrypi.org jessie/main armhf Packages                
    Henter:7 https://deb.nodesource.com jessie/main Translation-da_DK [162 B]      
    Havde http://archive.raspberrypi.org jessie/ui armhf Packages                  
    Henter:8 https://deb.nodesource.com jessie/main Translation-da [162 B]         
    Henter:9 https://deb.nodesource.com jessie/main Translation-en [162 B]         
    Henter:10 https://deb.nodesource.com jessie/main Translation-da_DK [162 B]     
    Henter:11 https://deb.nodesource.com jessie/main Translation-da [162 B]        
    Henter:12 https://deb.nodesource.com jessie/main Translation-en [162 B]        
    Henter:13 https://deb.nodesource.com jessie/main Translation-da_DK [162 B]     
    Henter:14 https://deb.nodesource.com jessie/main Translation-da [162 B]        
    Henter:15 https://deb.nodesource.com jessie/main Translation-en [162 B]        
    Henter:16 https://deb.nodesource.com jessie/main Translation-da_DK [162 B]     
    Henter:17 https://deb.nodesource.com jessie/main Translation-da [162 B]        
    Henter:18 https://deb.nodesource.com jessie/main Translation-en [162 B]        
    Henter:19 https://deb.nodesource.com jessie/main Translation-da_DK [162 B]     
    Ignorerer https://deb.nodesource.com jessie/main Translation-da_DK             
    Ignorerer http://archive.raspberrypi.org jessie/main Translation-da_DK         
    Ignorerer http://archive.raspberrypi.org jessie/main Translation-da
    Ignorerer http://archive.raspberrypi.org jessie/main Translation-en
    Henter:20 https://deb.nodesource.com jessie/main Translation-da [162 B]
    Ignorerer https://deb.nodesource.com jessie/main Translation-da                
    Henter:21 https://deb.nodesource.com jessie/main Translation-en [162 B]        
    Ignorerer https://deb.nodesource.com jessie/main Translation-en                
    Ignorerer http://archive.raspberrypi.org jessie/ui Translation-da_DK           
    Ignorerer http://archive.raspberrypi.org jessie/ui Translation-da              
    Ignorerer http://archive.raspberrypi.org jessie/ui Translation-en
    Henter:22 http://mirrordirector.raspbian.org jessie/contrib armhf Packages [43,3 kB]
    Henter:23 http://mirrordirector.raspbian.org jessie/non-free armhf Packages [84,2 kB]
    Henter:24 http://mirrordirector.raspbian.org jessie/rpi armhf Packages [1.356 B]
    Ignorerer http://mirrordirector.raspbian.org jessie/contrib Translation-da_DK  
    Ignorerer http://mirrordirector.raspbian.org jessie/contrib Translation-da     
    Ignorerer http://mirrordirector.raspbian.org jessie/contrib Translation-en     
    Ignorerer http://mirrordirector.raspbian.org jessie/main Translation-da_DK     
    Ignorerer http://mirrordirector.raspbian.org jessie/main Translation-da        
    Ignorerer http://mirrordirector.raspbian.org jessie/main Translation-en        
    Ignorerer http://mirrordirector.raspbian.org jessie/non-free Translation-da_DK 
    Ignorerer http://mirrordirector.raspbian.org jessie/non-free Translation-da    
    Ignorerer http://mirrordirector.raspbian.org jessie/non-free Translation-en    
    Ignorerer http://mirrordirector.raspbian.org jessie/rpi Translation-da_DK      
    Ignorerer http://mirrordirector.raspbian.org jessie/rpi Translation-da         
    Ignorerer http://mirrordirector.raspbian.org jessie/rpi Translation-en         
    Hentede 9.708 kB på 28s (337 kB/s)                                             
    Indlæser pakkelisterne... Færdig
    Installing helper tools ...
    Indlæser pakkelisterne... Færdig
    Opbygger afhængighedstræ        
    Læser tilstandsoplysninger... Færdig
    build-essential er allerede den nyeste version.
    curl er allerede den nyeste version.
    git er allerede den nyeste version.
    unzip er allerede den nyeste version.
    wget er allerede den nyeste version.
    Følgende pakker blev installeret automatisk, og behøves ikke længere:
      coinor-libipopt1 libboost-filesystem1.55.0 libboost-program-options1.55.0
      libboost-regex1.55.0 libc-ares2 libffi5 libgmime-2.6-0 libmumps-seq-4.10.0
      liboauth0 libraw10 libv8-3.14.5 wolframscript
    Brug »apt-get autoremove« til at fjerne dem.
    0 opgraderes, 0 nyinstalleres, 0 afinstalleres og 153 opgraderes ikke.
    Check current Node installation ...
    Node currently installed. Checking version number.
    Minimum Node version: v5.1.0
    Installed Node version: v6.10.0
    No Node.js upgrade necessary.
    Cloning MagicMirror ...
    Cloning into 'MagicMirror'...
    remote: Counting objects: 8848, done.
    remote: Total 8848 (delta 0), reused 0 (delta 0), pack-reused 8848
    Receiving objects: 100% (8848/8848), 11.33 MiB | 230.00 KiB/s, done.
    Resolving deltas: 100% (5009/5009), done.
    Checking connectivity... done.
    Cloning MagicMirror Done!
    Installing dependencies ...
    npm WARN deprecated isarray@2.0.1: Just use Array.isArray directly
    npm WARN prefer global coffee-script@1.10.0 should be installed with -g
    npm WARN prefer global jsonlint@1.6.2 should be installed with -g
    
    > uws@0.14.5 install /home/pi/MagicMirror/node_modules/uws
    > node-gyp rebuild > build_log.txt 2>&1 || exit 0
    
    
    > electron-chromedriver@1.6.0 install /home/pi/MagicMirror/node_modules/electron-chromedriver
    > node ./download-chromedriver.js
    
    
    > electron@1.7.9 postinstall /home/pi/MagicMirror/node_modules/electron
    > node install.js
    
    
    > magicmirror@2.1.3 install /home/pi/MagicMirror
    > cd vendor && npm install
    
    magicmirror-vendors@ /home/pi/MagicMirror/vendor
    ├── font-awesome@4.7.0 
    ├── moment@2.19.2 
    ├── moment-timezone@0.5.14 
    └── weathericons@2.1.0 
    
    
    > magicmirror@2.1.3 postinstall /home/pi/MagicMirror
    > sh installers/postinstall/postinstall.sh && npm run install-fonts
    
    
    
    Unable to install dependencies!
    pi@raspberrypi:~ $
    

  • Module Developer

    @ironman_DK said in After update to newest version = Black screen:

    Unable to install dependencies!
    pi@raspberrypi:~ $

    In terminal

    cd MagicMirror (Enter)
    npm install (Enter)
    npm start (Enter)



  • I think this is what I am getting, If i run remotly, as i do not have a keyboard attached (another problem) the remoter terminal window vnc shows the Magic Mirror, but the actual Pi screen is black with mouse pointer, ( I have touch screen installed)


  • Module Developer

    @CGwaltney

    try:
    DISPLAY=:0 npm start

    or
    DISPLAY=:0 nohup npm start &


Log in to reply
 

Looks like your connection to MagicMirror Forum was lost, please wait while we try to reconnect.